Package com.castlabs.android.drm

## Class DrmUtils.HttpExecutorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.castlabs.android.drm.DrmUtils.HttpExecutorException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    DrmUtils

      public static final class DrmUtils.HttpExecutorException
      extends IOException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Throwable` | `cause` |
    `String` | `responseBody` |
    `int` | `responseCode` |
    `Map<String,​List<String>>` | `responseHeaders` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpExecutorException​(int responseCode, String responseBody, Map<String,​List<String>> responseHeaders, Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### responseCode

          public final int responseCode

    - #### responseBody

          @Nullable
          public final String responseBody

    - #### responseHeaders

          @Nullable
          public final Map<String,​List<String>> responseHeaders

    - #### cause

          @Nullable
          public final Throwable cause

  - ### Constructor Detail

    - #### HttpExecutorException

          public HttpExecutorException​(int responseCode,
                                       @Nullable
                                       String responseBody,
                                       @Nullable
                                       Map<String,​List<String>> responseHeaders,
                                       @Nullable
                                       Throwable cause)